// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma ocne
#include "scene/item/SceneItem.hpp"
#include "game/Game.hpp"

namespace Dawn {
  class Scene : public SceneItem {
    private:
      std::weak_ptr<Game> game;

    public:
      /**
       * Creates a new Scene.
       * 
       * @param game The Game this Scene belongs to.
       */
      Scene(std::weak_ptr<Game> game);

      /**
       * Destroys this scene and all of its items.
       */
      virtual ~Scene();
  };
}