// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/Color.hpp"
#include "scene/item/SceneItem2D.hpp"

namespace Dawn {
  class Rectangle : public SceneItem2D {
    public:
      struct Color color = COLOR_WHITE;

      /**
       * Creates a new Rectangle.
       * 
       * @param parent The parent SceneItem, or nullptr if root (unlikely).
       */
      Rectangle(std::weak_ptr<SceneItem> parent);

      /**
       * Destroys the Rectangle.
       */
      virtual ~Rectangle();
  };
}